Bug 85432

Summary: Taking a visibility:hidden element full screen causes full screen window to disappear.
Product: WebKit Reporter: Jer Noble <jer.noble>
Component: New BugsAssignee: Jer Noble <jer.noble>
Status: RESOLVED FIXED    
Severity: Normal Keywords: InRadar
Priority: P2    
Version: 528+ (Nightly build)   
Hardware: Unspecified   
OS: Unspecified   
URL: http://blog.jilion.com/2011/07/27/world-s-first-true-html5-fullscreen-video
Attachments:
Description Flags
Patch
none
Patch mjs: review+

Description Jer Noble 2012-05-02 16:38:39 PDT
Taking a visibility:hidden element full screen causes full screen window to disappear.
Comment 1 Jer Noble 2012-05-02 16:41:48 PDT
Ah, they're explicitly changing the style of the full screen element to "visibility:hidden" between when the user clicks the full screen button and when the page receives the webkitfullscreenchange event
Comment 2 Jer Noble 2012-05-02 16:41:58 PDT
<rdar://problem/11240929>
Comment 3 Jer Noble 2012-05-02 16:49:03 PDT
Created attachment 139916 [details]
Patch
Comment 4 Jer Noble 2012-05-02 17:01:31 PDT
Created attachment 139918 [details]
Patch

Missed one ! in the conditional, and fixed an its -> it's misspelling in the ChangeLogs.
Comment 5 Maciej Stachowiak 2012-05-02 17:25:03 PDT
Comment on attachment 139918 [details]
Patch

r=me

Is it possible to make a test?
Comment 6 Jer Noble 2012-05-04 14:30:03 PDT
Committed r116173: <http://trac.webkit.org/changeset/116173>
Comment 7 Darin Adler 2012-05-04 17:12:55 PDT
Comment on attachment 139918 [details]
Patch

View in context: https://bugs.webkit.org/attachment.cgi?id=139918&action=review

> Source/WebKit/mac/WebView/WebFullScreenController.mm:474
> +    if (!NSWidth(initialFrame) || !NSWidth(finalFrame) || !NSHeight(initialFrame) || !NSHeight(finalFrame))

Another way to write this:

    if (NSIsEmptyRect(initialFrame) || NSIsEmptyRect(finalFrame))